## libsbml 5.15.2+dfsg

=== CMakeLists.txt ===
###############################################################################
#
# Description       : CMake build script for libSBML
# Original author(s): Frank Bergmann <fbergman@caltech.edu>
# Organization      : California Institute of Technology
#
# This file is part of libSBML.  Please visit http://sbml.org for more
# information about SBML, and the latest version of libSBML.
#
# Copyright (C) 2013-2017 jointly by the following organizations:
#     1. California Institute of Technology, Pasadena, CA, USA
#     2. EMBL European Bioinformatics Institute (EMBL-EBI), Hinxton, UK
#     3. University of Heidelberg, Heidelberg, Germany
#
# Copyright (C) 2009-2013 jointly by the following organizations:
#     1. California Institute of Technology, Pasadena, CA, USA
#     2. EMBL European Bioinformatics Institute (EMBL-EBI), Hinxton, UK
#
# Copyright (C) 2006-2008 by the California Institute of Technology,
#     Pasadena, CA, USA
#
# Copyright (C) 2002-2005 jointly by the following organizations:
#     1. California Institute of Technology, Pasadena, CA, USA
#     2. Japan Science and Technology Agency, Japan
#
# This library is free software; you can redistribute it and/or modify it
# under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation.  A copy of the license agreement is provided
# in the file named "LICENSE.txt" included with this software distribution
# and also available online as http://sbml.org/software/libsbml/license.html
#
###############################################################################

cmake_minimum_required(VERSION 2.6)
project(libsbml)

if(POLICY CMP0054) 
    cmake_policy(SET CMP0054 NEW) 
endif() 

if(POLICY CMP0058) 
    cmake_policy(SET CMP0058 OLD) 
endif() 



set(LIBSBML_ROOT_SOURCE_DIR "${CMAKE_SOURCE_DIR}" CACHE PATH
    "Path to the libSBML root source directory")
set(LIBSBML_ROOT_BINARY_DIR "${CMAKE_BINARY_DIR}" CACHE PATH
    "Path to the libSBML root build directory")

include (CMakeTestCCompiler)
include (CheckCSourceCompiles)
include (CheckCXXSourceCompiles)
include (CheckStructHasMember)
include (CheckLibraryExists)
include (CheckFunctionExists)
include (CheckCCompilerFlag)
include (CheckCSourceRuns)
include (CheckSymbolExists)
include (CheckTypeSize)

###############################################################################
#
# Parse VERSION.txt to determine the package version
#

set(LIBSBML_VERSION_MAJOR)
set(LIBSBML_VERSION_MINOR)
set(LIBSBML_VERSION_PATCH)
set(LIBSBML_VERSION_RELEASE)
set(LIBSBML_DOTTED_VERSION)

if(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/VERSION.txt")

    file(STRINGS "${CMAKE_CURRENT_SOURCE_DIR}/VERSION.txt" VersionString NEWLINE_CONSUME)
    string(STRIP "${VersionString}" VersionString)
    set(LIBSBML_DOTTED_VERSION ${VersionString})
    string(REPLACE "." ";" VersionString "${VersionString}" )
    string(REPLACE "-" ";" VersionString "${VersionString}" )
    list(LENGTH VersionString versionLength)
    list(GET VersionString 0 LIBSBML_VERSION_MAJOR )
    list(GET VersionString 1 LIBSBML_VERSION_MINOR )
    list(GET VersionString 2 LIBSBML_VERSION_PATCH )

    if(${versionLength} GREATER 3)
        list(GET VersionString 3 LIBSBML_VERSION_RELEASE )
    endif()

endif()

# version number needs to be calculated correctly
MATH(EXPR LIBSBML_VERSION_NUMERIC "${LIBSBML_VERSION_MAJOR} * 10000 + ${LIBSBML_VERSION_MINOR} * 100 + ${LIBSBML_VERSION_PATCH}" )
set(PACKAGE_VERSION "${LIBSBML_VERSION_MAJOR}.${LIBSBML_VERSION_MINOR}.${LIBSBML_VERSION_PATCH}${LIBSBML_VERSION_RELEASE}")
set(PACKAGE_NAME "libSBML")

set(PACKAGE_CONFIG_DIR lib/cmake CACHE PATH
    "Path into which the cmake config files should be installed")


# PACKAGE_VERSION gets overridden by using other packages, so setting
# the PROJECT_VERSION, which will be used when exporting targets in
# src/CMakeLists.txt
set(PROJECT_VERSION ${PACKAGE_VERSION})

if (WITH_DOXYGEN OR WITH_PYTHON)
  # configure the version for documentation / bindings
  configure_file(
      ${CMAKE_CURRENT_SOURCE_DIR}/docs/src/common-text/libsbml-version.html.in
      ${CMAKE_CURRENT_SOURCE_DIR}/docs/src/common-text/libsbml-version.html
  )
endif()

# add make dist and make check target as they are already familiar for
# everyone using the gnumake build
add_custom_target(dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)
add_custom_target(check COMMAND ${CMAKE_MAKE_PROGRAM} test)

###############################################################################
#
# The next lines configure the parameters for packaging the binaries.
# They can be invoked with "make package" or "nmake package" or by using
# cpack -G zip|deb|rpm|dmg|nsis
#

include(InstallRequiredSystemLibraries)

set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "An API library for reading/writing/manipulating SBML.")
set(CPACK_PACKAGE_NAME "${PACKAGE_NAME}")
set(CPACK_PACKAGE_VENDOR "The libSBML Team")
set(CPACK_PACKAGE_CONTACT "LibSBML Team <libsbml-team@googlegroups.com>")
set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README.txt")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING.txt")
set(CPACK_PACKAGE_VERSION_MAJOR "${LIBSBML_VERSION_MAJOR}")
set(CPACK_PACKAGE_VERSION_MINOR "${LIBSBML_VERSION_MINOR}")
set(CPACK_PACKAGE_VERSION_PATCH "${LIBSBML_VERSION_PATCH}")
set(CPACK_RPM_PACKAGE_LICENSE "LGPL")
set(CPACK_RPM_PACKAGE_GROUP "Libraries/Development")
set(CPACK_DEBIAN_PACKAGE_SECTION "Libraries")

set(CPACK_SOURCE_IGNORE_FILES "${CMAKE_CURRENT_BINARY_DIR};/.svn/;/.libs/;/.deps/;/.bzr/;.*.o$;.*.lo$;.*.la$;${CPACK_SOURCE_IGNORE_FILES};/.DS_Store;/.svnignore;blib;libsbml-dist")

if(UNIX)
    set(CPACK_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}")
    set(CPACK_SET_DESTDIR "ON")
endif()

if(CMAKE_SIZEOF_VOID_P EQUAL 4)
    set(CPACK_DEBIAN_PACKAGE_ARCHITECTURE "i386")
    set(CPACK_RPM_PACKAGE_ARCHITECTURE "i386")
else()
    set(CPACK_DEBIAN_PACKAGE_ARCHITECTURE "amd64")
    set(CPACK_RPM_PACKAGE_ARCHITECTURE "x86_64")
endif()

include(CPack)


###############################################################################
#
# Here we have the main configuration options for libsbml.
#

option(LIBSBML_USE_LEGACY_MATH
"Use libSBML's legacy math implementation of ASTs, instead of the one
introduced in libSBML 5.10 for better support of SBML Level 3 packages." OFF)
mark_as_advanced(LIBSBML_USE_LEGACY_MATH)


# Build static / shared library
# option(BUILD_SHARED_LIBS  "Build shared library. (Set to OFF to build static libraries.)" OFF)

# Whether to compile examples
option(WITH_EXAMPLES "Compile the libSBML example programs."  OFF)

# Which language bindings should be built 
option(WITH_CSHARP   "Generate the C# language interface for libSBML."     OFF)
option(WITH_JAVA     "Generate the Java language interface for libSBML."   OFF)
option(WITH_PYTHON   "Generate the Python language interface for libSBML." OFF)
option(WITH_PERL     "Generate the Perl language interface for libSBML."   OFF)
option(WITH_PHP      "Generate the PHP language interface for libSBML."    OFF)
option(WITH_RUBY     "Generate the Ruby language interface for libSBML"    OFF)
option(WITH_R        "Generate the R language interface for libSBML"       OFF)
option(WITH_OCTAVE   "Generate the Octave language interface for libSBML." OFF)
option(WITH_MATLAB   "Generate the MATLAB language interface for libSBML." OFF)
option(WITH_JAVASCRIPT   "Generate the experimental Node.js language interface for libSBML." OFF)

if (WITH_JAVASCRIPT)

  set(_PF86 "ProgramFiles(x86)")
  find_program(NODE_GYP_EXECUTABLE
        NAMES node-gyp node-gyp.cmd
        PATHS
              /usr/local/bin
              /opt/local/bin
              /usr/bin
              "$ENV{ProgramFilesProgramFiles}/nodejs/"
              "$ENV{ProgramW6432}/nodejs/"
        DOC "The file name of the node-gyp executable."
        )

  find_program(NODEJS_EXECUTABLE
        NAMES node nodeexe
        PATHS
              /usr/local/bin
              /opt/local/bin
              /usr/bin
              "$ENV{ProgramFiles}/nodejs/"
              "$ENV{ProgramW6432}/nodejs/"
        DOC "The file name of the nodejs executable."
        )
  # check that we found node-gyp
  if (NOT NODE_GYP_EXECUTABLE)
        message(FATAL_ERROR
"In oder to build the JavaScript language interface, libSBML needs the
node-gyp executable. Please set the variable named NODE_GYP_EXECUTABLE.")
  endif()
  
  # ensure that the swig version is high enough for javascript
  if (SWIG_VERSION AND NOT SWIG_VERSION VERSION_GREATER 3.0.1)
        message(FATAL_ERROR
"SWIG version 3.0.2 or greater is needed in order to build the JavaScript
language interface for libSBML, but only version ${SWIG_VERSION} was found.")
  endif()
  
endif()

# Add an option to compile with all warnings shown
option(WITH_WALL     "Compile with -Wall, so that the compiler will display all warnings." OFF)
mark_as_advanced(WITH_WALL)

if(WITH_WALL)
    if(MSVC OR USING_INTEL)
        add_definitions(/W4)
        string(REPLACE "/W3" "/W4" CMAKE_C_FLAGS "${CMAKE_C_FLAGS}")
        string(REPLACE "/W3" "/W4" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
    else()
        add_definitions(-Wall)
    endif()
endif()

# Add an option to instruct libSBML to not include SBMLTypes.h and other files internally.
option(LIBSBML_USE_STRICT_INCLUDES
"Compile using 'strict includes' rules: libSBML header files won't
use SBMLTypes.h, among others." OFF)
if(LIBSBML_USE_STRICT_INCLUDES)
  add_definitions(-DLIBSBML_USE_STRICT_INCLUDES)
endif(LIBSBML_USE_STRICT_INCLUDES)
mark_as_advanced(LIBSBML_USE_STRICT_INCLUDES)

set(LIBSBML_BUILD_TYPE "native")
if (CMAKE_SIZEOF_VOID_P EQUAL 4)
  set(LIBSBML_BUILD_TYPE "32bit")
else()
  set(LIBSBML_BUILD_TYPE "64bit")
endif()
if (APPLE AND ENABLE_UNIVERSAL)
  set(LIBSBML_BUILD_TYPE "universal")
endif()

# When allocation of memory fails or the libSBML C API is unable to open
# a file, libSBML can exit the current process. By default this behavior
# is disabled.
#
option (EXIT_ON_ERROR "Call exit(-1) in case of allocation or file error." OFF)
mark_as_advanced(EXIT_ON_ERROR)

# Use the version number in the shared library.
#
option (LIBSBML_SHARED_VERSION
"Include version information into the compiled libSBML shared library." ON)
mark_as_advanced(LIBSBML_SHARED_VERSION)

# Enable the generation of unit tests. If enabled, all test runners
# will be created and can be run with "make test" or ctest.
# This won't work in Visual Studio 2003, so we disable this option there.
#
if(NOT ${CMAKE_GENERATOR} MATCHES "Visual Studio 6" AND NOT ${CMAKE_GENERATOR} MATCHES "Visual Studio 7")
    option(WITH_CHECK
"Compile the libSBML unit tests. (You can then run the tests with the
command 'make test' or 'ctest'.)" OFF)
endif()

# Choose the xml parsing library to be used.
option(WITH_EXPAT    "Use the Expat XML parser library."     OFF)
option(WITH_LIBXML   "Use the libxml2 XML parser library."   ON )
option(WITH_XERCES   "Use the Xerces XML parser library."    OFF)

# Use C++ namespace.
option(WITH_CPP_NAMESPACE "Use a C++ namespace for libSBML."   OFF)

# Generate documentation.
option(WITH_DOXYGEN  "Generate documentation for libSBML using Doxygen."  OFF )
# marks as advanced, so as to hide documentation generation
mark_as_advanced(WITH_DOXYGEN)

# Re-generate the swig bindings? This really should be on by default
# otherwise one might have the wrong wrapper code without support for
# the libsbml packages one wants.
option(WITH_SWIG     "Regenerate the programming language interface code
(for Java, Python, etc.) using SWIG."  ON )

# Set build type default.
set(CMAKE_BUILD_TYPE "Release" CACHE STRING
  "Choose the type of build to perform. The options are: None (CMAKE_CXX_FLAGS
or CMAKE_C_FLAGS are used), Debug, Release, RelWithDebInfo, MinSizeRel.")
if("${CMAKE_BUILD_TYPE}" STREQUAL "")
  set(CMAKE_BUILD_TYPE "Release" CACHE STRING
    "Choose the type of build to perform. The options are: None (CMAKE_CXX_FLAGS
or CMAKE_C_FLAGS are used), Debug, Release, RelWithDebInfo, MinSizeRel." FORCE)

=== examples/java/CMakeLists.txt ===
## @file    CMakeLists.txt
## @brief   CMake build script for example programs
## @author  Frank T. Bergmann
##
## <!--------------------------------------------------------------------------
## This file is part of libSBML.  Please visit http://sbml.org for more
## information about SBML, and the latest version of libSBML.
##
## Copyright (C) 2013-2017 jointly by the following organizations:
##     1. California Institute of Technology, Pasadena, CA, USA
##     2. EMBL European Bioinformatics Institute (EMBL-EBI), Hinxton, UK
##     3. University of Heidelberg, Heidelberg, Germany
##
## Copyright (C) 2009-2013 jointly by the following organizations: 
##     1. California Institute of Technology, Pasadena, CA, USA
##     2. EMBL European Bioinformatics Institute (EMBL-EBI), Hinxton, UK
##  
## Copyright (C) 2006-2008 by the California Institute of Technology,
##     Pasadena, CA, USA 
##  
## Copyright (C) 2002-2005 jointly by the following organizations: 
##     1. California Institute of Technology, Pasadena, CA, USA
##     2. Japan Science and Technology Agency, Japan
## 
## This library is free software; you can redistribute it and/or modify it
## under the terms of the GNU Lesser General Public License as published by
## the Free Software Foundation.  A copy of the license agreement is provided
## in the file named "LICENSE.txt" included with this software distribution
## and also available online as http://sbml.org/software/libsbml/license.html
## ------------------------------------------------------------------------ -->

find_package(Java COMPONENTS Development REQUIRED)

file(TO_NATIVE_PATH ${CMAKE_CURRENT_BINARY_DIR} CURRENT_BIN)
file(TO_NATIVE_PATH ${CMAKE_CURRENT_BINARY_DIR}/../../src/bindings/java/libsbmlj.jar CURRENT_JAR )
file(TO_NATIVE_PATH $<TARGET_FILE_DIR:binding_java_lib> LIBRARY_PATH)


foreach(file 
    addCustomValidator
    addCVTerms
    addingEvidenceCodes_1
    addingEvidenceCodes_2
    addModelHistory
    appendAnnotation
    callExternalValidator
    convertSBML
    createExampleSBML
    echoSBML
    evaluateMath
    getAllElementsWithNotes
    printAnnotation
    printMath
    printNotes
    printRegisteredPackages
    printSBML
    printsupported
    printUnits
    promoteParameters
    readSBML
    stripPackage
    setIdFromNames
    translateMath
    unsetAnnotation
    unsetNotes
    validateSBML
    evaluateCustomMath
    inlineInitialAssignments
    replaceOneFD
    )

file(TO_NATIVE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/${file}.java CURRENT_FILE)

add_custom_command(	
    OUTPUT ${file}.class
    COMMAND "${Java_JAVAC_EXECUTABLE}"
    ARGS -cp ".${FILE_SEP}\"${CURRENT_JAR}\"${FILE_SEP}${CMAKE_CURRENT_SOURCE_DIR}"
        ${CURRENT_FILE}
        -source 1.5
        -target 1.5
        -d ${CMAKE_CURRENT_BINARY_DIR}
    MAIN_DEPENDENCY "${CMAKE_CURRENT_SOURCE_DIR}/../../src/bindings/java/local.i"
    WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}"
    DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/${file}.java
    COMMENT "Build java example ${file}"
) 

add_custom_target(example_java_${file} ALL 
    DEPENDS 
    ${CMAKE_CURRENT_BINARY_DIR}/${file}.class 
    SOURCES 
    ${CMAKE_CURRENT_SOURCE_DIR}/${file}.java 
)

add_dependencies(example_java_${file} binding_java_jar)

endforeach()

# run examples as test 

add_test(NAME test_java_addCVTerms
    COMMAND ${Java_JAVA_EXECUTABLE} 
    -cp ".${FILE_SEP}${CURRENT_JAR}${FILE_SEP}"
    -Djava.library.path=$<TARGET_FILE_DIR:binding_java_lib>
    addCVTerms
    ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
    addCVTerms.out.xml
)

add_test(NAME test_java_addingEvidenceCodes_1
    COMMAND ${Java_JAVA_EXECUTABLE} 
    -cp ".${FILE_SEP}${CURRENT_JAR}${FILE_SEP}"
    -Djava.library.path=$<TARGET_FILE_DIR:binding_java_lib>
    addingEvidenceCodes_1
    ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
    addingEvidenceCodes_1.out.xml
)

add_test(NAME test_java_addingEvidenceCodes_2
    COMMAND ${Java_JAVA_EXECUTABLE} 
    -cp ".${FILE_SEP}${CURRENT_JAR}${FILE_SEP}"
    -Djava.library.path=$<TARGET_FILE_DIR:binding_java_lib>
    addingEvidenceCodes_2
    ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
    addingEvidenceCodes_2.out.xml
)

add_test(NAME test_java_addModelHistory
    COMMAND ${Java_JAVA_EXECUTABLE} 
    -cp ".${FILE_SEP}${CURRENT_JAR}${FILE_SEP}"
    -Djava.library.path=$<TARGET_FILE_DIR:binding_java_lib>
    addModelHistory
    ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
    addModelHistory.out.xml
)

add_test(NAME test_java_appendAnnotation
    COMMAND ${Java_JAVA_EXECUTABLE} 
    -cp ".${FILE_SEP}${CURRENT_JAR}${FILE_SEP}"
    -Djava.library.path=$<TARGET_FILE_DIR:binding_java_lib>
    appendAnnotation
    ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
    appendAnnotation.out.xml
)

add_test(NAME test_java_createExampleSBML
    COMMAND ${Java_JAVA_EXECUTABLE} 
    -cp ".${FILE_SEP}${CURRENT_JAR}${FILE_SEP}"
    -Djava.library.path=$<TARGET_FILE_DIR:binding_java_lib>
    createExampleSBML
    ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
    createExampleSBML.out.xml
)

add_test(NAME test_java_echoSBML
    COMMAND ${Java_JAVA_EXECUTABLE} 
    -cp ".${FILE_SEP}${CURRENT_JAR}${FILE_SEP}"
    -Djava.library.path=$<TARGET_FILE_DIR:binding_java_lib>
    echoSBML
    ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
    echoSBML.out.xml
)

add_test(NAME test_java_evaluateCustomMath
    COMMAND ${Java_JAVA_EXECUTABLE} 
    -cp ".${FILE_SEP}${CURRENT_JAR}${FILE_SEP}"
    -Djava.library.path=$<TARGET_FILE_DIR:binding_java_lib>
    evaluateCustomMath
    2*3+4
    ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
)

add_test(NAME test_java_getAllElementsWithNotes
    COMMAND ${Java_JAVA_EXECUTABLE} 
    -cp ".${FILE_SEP}${CURRENT_JAR}${FILE_SEP}"
    -Djava.library.path=$<TARGET_FILE_DIR:binding_java_lib>
    getAllElementsWithNotes
    ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
)

add_test(NAME test_java_inlineInitialAssignments
    COMMAND ${Java_JAVA_EXECUTABLE} 
    -cp ".${FILE_SEP}${CURRENT_JAR}${FILE_SEP}"
    -Djava.library.path=$<TARGET_FILE_DIR:binding_java_lib>
    inlineInitialAssignments
    ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
    inlineInitialAssignments.out.xml
)


add_test(NAME test_java_printAnnotation
    COMMAND ${Java_JAVA_EXECUTABLE} 
    -cp ".${FILE_SEP}${CURRENT_JAR}${FILE_SEP}"
    -Djava.library.path=$<TARGET_FILE_DIR:binding_java_lib>
    printAnnotation
    ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
)

add_test(NAME test_java_printMath
    COMMAND ${Java_JAVA_EXECUTABLE} 
    -cp ".${FILE_SEP}${CURRENT_JAR}${FILE_SEP}"
    -Djava.library.path=$<TARGET_FILE_DIR:binding_java_lib>
    printMath
    ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
)

add_test(NAME test_java_printNotes
    COMMAND ${Java_JAVA_EXECUTABLE} 
    -cp ".${FILE_SEP}${CURRENT_JAR}${FILE_SEP}"
    -Djava.library.path=$<TARGET_FILE_DIR:binding_java_lib>
    printNotes
    ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
)

add_test(NAME test_java_printRegisteredPackages
    COMMAND ${Java_JAVA_EXECUTABLE} 
    -cp ".${FILE_SEP}${CURRENT_JAR}${FILE_SEP}"
    -Djava.library.path=$<TARGET_FILE_DIR:binding_java_lib>
    printRegisteredPackages
)

add_test(NAME test_java_printSBML
    COMMAND ${Java_JAVA_EXECUTABLE} 
    -cp ".${FILE_SEP}${CURRENT_JAR}${FILE_SEP}"
    -Djava.library.path=$<TARGET_FILE_DIR:binding_java_lib>
    printSBML
    ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
)

add_test(NAME test_java_printsupported
    COMMAND ${Java_JAVA_EXECUTABLE} 
    -cp ".${FILE_SEP}${CURRENT_JAR}${FILE_SEP}"
    -Djava.library.path=$<TARGET_FILE_DIR:binding_java_lib>
    printsupported
)

add_test(NAME test_java_printUnits
    COMMAND ${Java_JAVA_EXECUTABLE} 
    -cp ".${FILE_SEP}${CURRENT_JAR}${FILE_SEP}"
    -Djava.library.path=$<TARGET_FILE_DIR:binding_java_lib>
    printUnits
    ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
)

add_test(NAME test_java_promoteParameters
    COMMAND ${Java_JAVA_EXECUTABLE} 
    -cp ".${FILE_SEP}${CURRENT_JAR}${FILE_SEP}"
    -Djava.library.path=$<TARGET_FILE_DIR:binding_java_lib>
    promoteParameters
    ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
    promoteParameters.out.xml
)

add_test(NAME test_java_readSBML
    COMMAND ${Java_JAVA_EXECUTABLE} 
    -cp ".${FILE_SEP}${CURRENT_JAR}${FILE_SEP}"
    -Djava.library.path=$<TARGET_FILE_DIR:binding_java_lib>
    readSBML
    ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
)

add_test(NAME test_java_replaceOneFD
    COMMAND ${Java_JAVA_EXECUTABLE} 
    -cp ".${FILE_SEP}${CURRENT_JAR}${FILE_SEP}"
    -Djava.library.path=$<TARGET_FILE_DIR:binding_java_lib>
    replaceOneFD
    ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/functiondef.xml
    f
    reaction_1    
    replaceOneFD.out.xml
)

add_test(NAME test_java_setIdFromNames
    COMMAND ${Java_JAVA_EXECUTABLE} 
    -cp ".${FILE_SEP}${CURRENT_JAR}${FILE_SEP}"
    -Djava.library.path=$<TARGET_FILE_DIR:binding_java_lib>
    setIdFromNames
    ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
    setIdFromNames.out.xml
)

 if(ENABLE_FBC) 

add_test(NAME test_java_stripPackage
    COMMAND ${Java_JAVA_EXECUTABLE} 
    -cp ".${FILE_SEP}${CURRENT_JAR}${FILE_SEP}"
    -Djava.library.path=$<TARGET_FILE_DIR:binding_java_lib>
    stripPackage
    ${CMAKE_SOURCE_DIR}/examples/sample-models/fbc/fbc_example1.xml
    fbc
    stripPackage.out.xml
)

endif(ENABLE_FBC)

add_test(NAME test_java_unsetAnnotation
    COMMAND ${Java_JAVA_EXECUTABLE} 
    -cp ".${FILE_SEP}${CURRENT_JAR}${FILE_SEP}"
    -Djava.library.path=$<TARGET_FILE_DIR:binding_java_lib>
    unsetAnnotation
    ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
    unsetAnnotation.out.xml
)

=== libsbml-5.15.2/src/CMakeLists.txt ===
###############################################################################
# Description       : CMake build script for libSBML
# Original author(s): Frank Bergmann <fbergman@caltech.edu>
# Organization      : California Institute of Technology
#
# This file is part of libSBML.  Please visit http://sbml.org for more
# information about SBML, and the latest version of libSBML.
#
# Copyright (C) 2013-2017 jointly by the following organizations:
#     1. California Institute of Technology, Pasadena, CA, USA
#     2. EMBL European Bioinformatics Institute (EMBL-EBI), Hinxton, UK
#     3. University of Heidelberg, Heidelberg, Germany
#
# Copyright (C) 2009-2013 jointly by the following organizations:
#     1. California Institute of Technology, Pasadena, CA, USA
#     2. EMBL European Bioinformatics Institute (EMBL-EBI), Hinxton, UK
#
# Copyright (C) 2006-2008 by the California Institute of Technology,
#     Pasadena, CA, USA
#
# Copyright (C) 2002-2005 jointly by the following organizations:
#     1. California Institute of Technology, Pasadena, CA, USA
#     2. Japan Science and Technology Agency, Japan
#
# This library is free software; you can redistribute it and/or modify it
# under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation.  A copy of the license agreement is provided
# in the file named "LICENSE.txt" included with this software distribution
# and also available online as http://sbml.org/software/libsbml/license.html
#
###############################################################################

# used to create CMake config files for projects using this library
if (${CMAKE_VERSION} VERSION_GREATER 2.8.7)
include(CMakePackageConfigHelpers)
endif()

###############################################################################
#
# Initialize SBML sources
#
set(LIBSBML_SOURCES)

###############################################################################
#
# Include all packages
#
file(GLOB PACKAGE_OPTIONS "*package.cmake")
foreach(package ${PACKAGE_OPTIONS})

    include(${package})

endforeach()

###############################################################################
#
# utility macro for copying files only if they have changed, for this it is
# assumed that the source file is always created. Then the macro is called.
# If the target file will only be overwritten if it does not yet exist, or
# its content is different. At the end the source file will be removed.
#
macro(copy_if_different_and_remove source target)
# message(
# "
# copy_if_different_and_remove called with:
#     source = ${source}
#     target = ${target}
# "
# )
file(READ ${source} CONTENT)

if (EXISTS ${target})
    # message("target exists")
    file(READ ${target} CURRENT_CONTENT)
    string(COMPARE EQUAL ${CURRENT_CONTENT} ${CONTENT} IS_SAME)
    if (NOT ${IS_SAME})
        #message("content is different")
        file(WRITE ${target} ${CONTENT})
    endif()
else()
    #message("target does not exist")
    file(WRITE ${target} ${CONTENT})
endif()

file(REMOVE ${source})

endmacro(copy_if_different_and_remove)

###############################################################################
#
# Register all packagess
#

file(GLOB REGISTER_EXTENSIONS RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}/ "${CMAKE_CURRENT_SOURCE_DIR}/sbml/packages/*-register.h")
file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/sbml/extension/RegisterExtensions.h.new" "/* This file is autogenerated and will be overwritten by the configuration process */\n\n")
file(APPEND "${CMAKE_CURRENT_BINARY_DIR}/sbml/extension/RegisterExtensions.h.new" "#include <sbml/extension/SBMLExtension.h>\n")
foreach(package ${REGISTER_EXTENSIONS})
    file(APPEND "${CMAKE_CURRENT_BINARY_DIR}/sbml/extension/RegisterExtensions.h.new" "#include <${package}>\n")
endforeach()
file(APPEND "${CMAKE_CURRENT_BINARY_DIR}/sbml/extension/RegisterExtensions.h.new" "\n")
copy_if_different_and_remove(
  ${CMAKE_CURRENT_BINARY_DIR}/sbml/extension/RegisterExtensions.h.new
  ${CMAKE_CURRENT_BINARY_DIR}/sbml/extension/RegisterExtensions.h
)

file(GLOB REGISTER_EXTENSIONS RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}/ "${CMAKE_CURRENT_SOURCE_DIR}/sbml/packages/*-register.cxx")
file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/sbml/extension/RegisterExtensions.cxx.new" "/* This file is autogenerated and will be overwritten by the configuration process */\n\n")
foreach(package ${REGISTER_EXTENSIONS})
    file(APPEND "${CMAKE_CURRENT_BINARY_DIR}/sbml/extension/RegisterExtensions.cxx.new" "#include <${package}>\n")
endforeach()
file(APPEND "${CMAKE_CURRENT_BINARY_DIR}/sbml/extension/RegisterExtensions.cxx.new" "\n")

copy_if_different_and_remove(
  ${CMAKE_CURRENT_BINARY_DIR}/sbml/extension/RegisterExtensions.cxx.new
  ${CMAKE_CURRENT_BINARY_DIR}/sbml/extension/RegisterExtensions.cxx
)

# write all package declarations to libsbml-config-packages
file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/sbml/common/libsbml-config-packages.h.new" "/* This file is autogenerated and will be overwritten by the configuration process */\n\n")
if (LIBSBML_PACKAGE_INCLUDES)
  list(REMOVE_DUPLICATES LIBSBML_PACKAGE_INCLUDES)
  foreach(declaration ${LIBSBML_PACKAGE_INCLUDES})
      file(APPEND "${CMAKE_CURRENT_BINARY_DIR}/sbml/common/libsbml-config-packages.h.new" "#define ${declaration} 1\n")
  endforeach()
endif()
file(APPEND "${CMAKE_CURRENT_BINARY_DIR}/sbml/common/libsbml-config-packages.h.new" "\n")

copy_if_different_and_remove(
  ${CMAKE_CURRENT_BINARY_DIR}/sbml/common/libsbml-config-packages.h.new
  ${CMAKE_CURRENT_BINARY_DIR}/sbml/common/libsbml-config-packages.h
)

###############################################################################
#
# create libsbml-config-common.h
#
include(CheckIncludeFiles)
check_include_files (check.h HAVE_CHECK_H)
check_include_files (expat.h HAVE_EXPAT_H)
check_include_files (errno.h HAVE_ERRNO_H)
check_include_files (ieeefp.h HAVE_IEEEFP_H)
check_include_files (math.h HAVE_MATH_H)
check_include_files (sys/types.h HAVE_SYS_TYPES_H)
check_include_files (float.h STDC_HEADERS)
check_include_files (stdarg.h STDC_HEADERS)
check_include_files (stdlib.h STDC_HEADERS)
check_include_files (string.h STDC_HEADERS)

set(WORDS_BIGENDIAN)
if (UNIX)
  include (TestBigEndian)
  test_big_endian(WORDS_BIGENDIAN)
else()
  # test_big_endian seems to fail with nmake (VS 2010) on windows
  # however, windows is always little endian, so catch this here
  set(WORDS_BIGENDIAN FALSE)
endif()

# for whatever reason some of the values are not correctly picked up
# so we encode these values here
if (MSVC)
  set(HAVE_ERRNO_H TRUE)
  set(HAVE_IEEEFP_H TRUE)
  set(STDC_HEADERS TRUE)
  set(HAVE_MATH_H TRUE)
  set(HAVE_SYS_TYPES_H TRUE)
endif()


include(CheckLibraryExists)
check_library_exists(m sqrt "" HAVE_LIBM)

# generate configuration for this system
configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/sbml/common/libsbml-config-common.h.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/sbml/common/libsbml-config-common.h
)

# Replace: @PACKAGE_VERSION@ and @LIBSBML_VERSION_NUMERIC@
configure_file (
  "${CMAKE_CURRENT_SOURCE_DIR}/sbml/common/libsbml-version.h.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/sbml/common/libsbml-version.h"
)

configure_file (
  "${CMAKE_CURRENT_SOURCE_DIR}/sbml/common/libsbml-namespace.h.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/sbml/common/libsbml-namespace.h"
)

configure_file (
  "${CMAKE_CURRENT_SOURCE_DIR}/sbml/common/libsbml-package.h.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/sbml/common/libsbml-package.h"
)
  
###############################################################################
#
# mark header files for installation
#

foreach(dir annotation common compress conversion extension units util validator xml  )

    file(GLOB header_files "${CMAKE_CURRENT_SOURCE_DIR}/sbml/${dir}/*.h")
    install(FILES ${header_files} DESTINATION include/sbml/${dir})

endforeach(dir)


file(GLOB files "${CMAKE_CURRENT_SOURCE_DIR}/sbml/*.h")
install(FILES ${files} DESTINATION include/sbml)


###############################################################################
#
# copy build specific header files
#

file(GLOB additional_common "${CMAKE_CURRENT_BINARY_DIR}/sbml/common/*.h")
file(GLOB additional_ext "${CMAKE_CURRENT_BINARY_DIR}/sbml/extension/*.h")

install(FILES ${additional_common} DESTINATION include/sbml/common)
install(FILES ${additional_ext} DESTINATION include/sbml/extension)

###############################################################################
#
# specify include directories
#

include_directories(BEFORE ${LIBSBML_ROOT_SOURCE_DIR}/src/sbml)
include_directories(BEFORE ${LIBSBML_ROOT_SOURCE_DIR}/src)
include_directories(BEFORE ${CMAKE_CURRENT_BINARY_DIR})
include_directories(BEFORE ${CMAKE_CURRENT_BINARY_DIR}/src)
include_directories(BEFORE ${CMAKE_CURRENT_BINARY_DIR}/src/sbml)
if (EXTRA_INCLUDE_DIRS) 
 include_directories(${EXTRA_INCLUDE_DIRS})
endif(EXTRA_INCLUDE_DIRS)


###############################################################################
#
# Find all sources
#

macro(ADD_FUNCTION directory)

    set(prefix "sbml/")

    if ("${directory}" STREQUAL "sbml")
        set(prefix "")
    endif()


    file(GLOB temp
            ${prefix}${directory}/*.cpp
            ${prefix}${directory}/*.cxx
            ${prefix}${directory}/*.c
            ${prefix}${directory}/*.h)

    # Set the constraint files to be 'headers' as they don't have to be compiled
    # since they don't contain symbols but rather are included directly.  Could
    # remove them, but that keeps their content from being found in searches, etc.
    # in IDEs such as VisualStudio.
    foreach(tempFile ${temp})
        if ("${directory}" STREQUAL "validator/constraints")
            if ("${tempFile}" MATCHES ".*Constraints.cpp")
              set_source_files_properties(
                  ${tempFile}
                  PROPERTIES HEADER_FILE_ONLY true
                  )
#              list(REMOVE_ITEM temp "${tempFile}")
            endif()
        endif()
        if ("${tempFile}" MATCHES ".*.cxx$")
          set_source_files_properties(
              ${tempFile}
              PROPERTIES HEADER_FILE_ONLY true
              )
        endif()
    endforeach()

    # create source group for IDEs
    source_group(${directory} FILES ${temp})

    # add to libsbml sources
    set(LIBSBML_SOURCES ${LIBSBML_SOURCES} ${temp})

endmacro(ADD_FUNCTION)

foreach (directory annotation common conversion extension sbml
                   units util validator validator/constraints)

	ADD_FUNCTION(${directory})
				       
endforeach()

###############################################################################
#
# Switch math implementation 
#

if (LIBSBML_USE_LEGACY_MATH)
    file(GLOB header_files "${CMAKE_CURRENT_SOURCE_DIR}/sbml/math-legacy/*.h")
    install(FILES ${header_files} DESTINATION include/sbml/math)
	
	file(MAKE_DIRECTORY  ${CMAKE_CURRENT_SOURCE_DIR}/sbml)
	file(MAKE_DIRECTORY  ${CMAKE_CURRENT_SOURCE_DIR}/sbml/math)
	file(COPY ${header_files} DESTINATION ${CMAKE_CURRENT_BINARY_DIR}/sbml/math/)
	
	list(REMOVE_ITEM LIBSBML_SOURCES "sbml/extension/ASTBasePlugin.cpp" )
	
	ADD_FUNCTION("math-legacy")
	
	set (SWIG_EXTRA_ARGS ${SWIG_EXTRA_ARGS} -DLIBSBML_USE_LEGACY_MATH)
	
else(LIBSBML_USE_LEGACY_MATH)
    
	#if we build with legacy math before, need to remove those headers
	file(GLOB legacy_files "${CMAKE_CURRENT_BINARY_DIR}/sbml/math/*.h")
	if (legacy_files)
	  file(REMOVE ${legacy_files})
	endif()
	
	file(GLOB header_files "${CMAKE_CURRENT_SOURCE_DIR}/sbml/math/*.h")
    install(FILES ${header_files} DESTINATION include/sbml/math)
	ADD_FUNCTION("math")
	
endif(LIBSBML_USE_LEGACY_MATH)


###############################################################################
#
# Find compression sources and adjust include and lib directory
#
set (COMPRESS_SOURCES)
set(COMPRESS_SOURCES ${COMPRESS_SOURCES}
    sbml/compress/CompressCommon.h
    sbml/compress/CompressCommon.cpp
    sbml/compress/InputDecompressor.cpp
    sbml/compress/InputDecompressor.h

=== examples/java/comp/CMakeLists.txt ===
## @file    CMakeLists.txt
## @brief   CMake build script for example programs
## @author  Frank T. Bergmann
##
## <!--------------------------------------------------------------------------
## This file is part of libSBML.  Please visit http://sbml.org for more
## information about SBML, and the latest version of libSBML.
##
## Copyright (C) 2013-2017 jointly by the following organizations:
##     1. California Institute of Technology, Pasadena, CA, USA
##     2. EMBL European Bioinformatics Institute (EMBL-EBI), Hinxton, UK
##     3. University of Heidelberg, Heidelberg, Germany
##
## Copyright (C) 2009-2013 jointly by the following organizations: 
##     1. California Institute of Technology, Pasadena, CA, USA
##     2. EMBL European Bioinformatics Institute (EMBL-EBI), Hinxton, UK
##  
## Copyright (C) 2006-2008 by the California Institute of Technology,
##     Pasadena, CA, USA 
##  
## Copyright (C) 2002-2005 jointly by the following organizations: 
##     1. California Institute of Technology, Pasadena, CA, USA
##     2. Japan Science and Technology Agency, Japan
## 
## This library is free software; you can redistribute it and/or modify it
## under the terms of the GNU Lesser General Public License as published by
## the Free Software Foundation.  A copy of the license agreement is provided
## in the file named "LICENSE.txt" included with this software distribution
## and also available online as http://sbml.org/software/libsbml/license.html
## ------------------------------------------------------------------------ -->

find_package(Java COMPONENTS Development REQUIRED)

foreach(file 
		flattenModel
		customResolver
		)
	
	file(TO_NATIVE_PATH ${CMAKE_CURRENT_BINARY_DIR} CURRENT_BIN)
	file(TO_NATIVE_PATH ${CMAKE_CURRENT_BINARY_DIR}/../../../src/bindings/java/libsbmlj.jar CURRENT_JAR )
	file(TO_NATIVE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/${file}.java CURRENT_FILE)
		
	add_custom_command(	
		OUTPUT ${file}.class
		COMMAND "${Java_JAVAC_EXECUTABLE}"
		ARGS -cp ".${FILE_SEP}\"${CURRENT_JAR}\"${FILE_SEP}${CMAKE_CURRENT_SOURCE_DIR}"
			 ${CURRENT_FILE}
			 -source 1.5
			 -target 1.5
			 -d ${CMAKE_CURRENT_BINARY_DIR}
		MAIN_DEPENDENCY "${CMAKE_CURRENT_SOURCE_DIR}/../../../src/bindings/java/local.i"
		WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}"
		DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/${file}.java
		COMMENT "Build java example ${file}"
	) 
	
	add_custom_target(example_comp_java_${file} ALL 
		DEPENDS 
		${CMAKE_CURRENT_BINARY_DIR}/${file}.class 
		SOURCES 
		${CMAKE_CURRENT_SOURCE_DIR}/${file}.java 
	)
	
	add_dependencies(example_comp_java_${file} binding_java_jar)
	
endforeach()

if(WITH_JAVA)
# install java examples
file(GLOB java_samples "${CMAKE_CURRENT_SOURCE_DIR}/java/*.java")
install(FILES ${java_samples} DESTINATION ${MISC_PREFIX}examples/java/comp)
endif()

=== examples/java/fbc/CMakeLists.txt ===
## @file    CMakeLists.txt
## @brief   CMake build script for example programs
## @author  Frank T. Bergmann
##
## <!--------------------------------------------------------------------------
## This file is part of libSBML.  Please visit http://sbml.org for more
## information about SBML, and the latest version of libSBML.
##
## Copyright (C) 2013-2017 jointly by the following organizations:
##     1. California Institute of Technology, Pasadena, CA, USA
##     2. EMBL European Bioinformatics Institute (EMBL-EBI), Hinxton, UK
##     3. University of Heidelberg, Heidelberg, Germany
##
## Copyright (C) 2009-2013 jointly by the following organizations: 
##     1. California Institute of Technology, Pasadena, CA, USA
##     2. EMBL European Bioinformatics Institute (EMBL-EBI), Hinxton, UK
##  
## Copyright (C) 2006-2008 by the California Institute of Technology,
##     Pasadena, CA, USA 
##  
## Copyright (C) 2002-2005 jointly by the following organizations: 
##     1. California Institute of Technology, Pasadena, CA, USA
##     2. Japan Science and Technology Agency, Japan
## 
## This library is free software; you can redistribute it and/or modify it
## under the terms of the GNU Lesser General Public License as published by
## the Free Software Foundation.  A copy of the license agreement is provided
## in the file named "LICENSE.txt" included with this software distribution
## and also available online as http://sbml.org/software/libsbml/license.html
## ------------------------------------------------------------------------ -->

find_package(Java COMPONENTS Development REQUIRED)

foreach(file 
		convertCobraToFbc
		convertFbcToCobra
		fbc_example1
		)
	
	file(TO_NATIVE_PATH ${CMAKE_CURRENT_BINARY_DIR} CURRENT_BIN)
	file(TO_NATIVE_PATH ${CMAKE_CURRENT_BINARY_DIR}/../../../src/bindings/java/libsbmlj.jar CURRENT_JAR )
	file(TO_NATIVE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/${file}.java CURRENT_FILE)
		
	add_custom_command(	
		OUTPUT ${file}.class
		COMMAND "${Java_JAVAC_EXECUTABLE}"
		ARGS -cp ".${FILE_SEP}\"${CURRENT_JAR}\"${FILE_SEP}${CMAKE_CURRENT_SOURCE_DIR}"
			 ${CURRENT_FILE}
			 -source 1.5
			 -target 1.5
			 -d ${CMAKE_CURRENT_BINARY_DIR}
		MAIN_DEPENDENCY "${CMAKE_CURRENT_SOURCE_DIR}/../../../src/bindings/java/local.i"
		WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}"
		DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/${file}.java
		COMMENT "Build java example ${file}"
	) 
	
	add_custom_target(example_fbc_java_${file} ALL 
		DEPENDS 
		${CMAKE_CURRENT_BINARY_DIR}/${file}.class 
		SOURCES 
		${CMAKE_CURRENT_SOURCE_DIR}/${file}.java 
	)
	
	add_dependencies(example_fbc_java_${file} binding_java_jar)
	
endforeach()

if(WITH_JAVA)
# install java examples
file(GLOB java_samples "${CMAKE_CURRENT_SOURCE_DIR}/java/*.java")
install(FILES ${java_samples} DESTINATION ${MISC_PREFIX}examples/java/fbc)
endif()

=== examples/java/layout/CMakeLists.txt ===
## @file    CMakeLists.txt
## @brief   CMake build script for example programs
## @author  Frank T. Bergmann
##
## <!--------------------------------------------------------------------------
## This file is part of libSBML.  Please visit http://sbml.org for more
## information about SBML, and the latest version of libSBML.
##
## Copyright (C) 2013-2017 jointly by the following organizations:
##     1. California Institute of Technology, Pasadena, CA, USA
##     2. EMBL European Bioinformatics Institute (EMBL-EBI), Hinxton, UK
##     3. University of Heidelberg, Heidelberg, Germany
##
## Copyright (C) 2009-2013 jointly by the following organizations: 
##     1. California Institute of Technology, Pasadena, CA, USA
##     2. EMBL European Bioinformatics Institute (EMBL-EBI), Hinxton, UK
##  
## Copyright (C) 2006-2008 by the California Institute of Technology,
##     Pasadena, CA, USA 
##  
## Copyright (C) 2002-2005 jointly by the following organizations: 
##     1. California Institute of Technology, Pasadena, CA, USA
##     2. Japan Science and Technology Agency, Japan
## 
## This library is free software; you can redistribute it and/or modify it
## under the terms of the GNU Lesser General Public License as published by
## the Free Software Foundation.  A copy of the license agreement is provided
## in the file named "LICENSE.txt" included with this software distribution
## and also available online as http://sbml.org/software/libsbml/license.html
## ------------------------------------------------------------------------ -->

find_package(Java COMPONENTS Development REQUIRED)

foreach(file 
		layout_example1
		layout_example1_L3
		SimpleLayoutConverter
		)
	
	file(TO_NATIVE_PATH ${CMAKE_CURRENT_BINARY_DIR} CURRENT_BIN)
	file(TO_NATIVE_PATH ${CMAKE_CURRENT_BINARY_DIR}/../../../src/bindings/java/libsbmlj.jar CURRENT_JAR )
	file(TO_NATIVE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/${file}.java CURRENT_FILE)
		
	add_custom_command(	
		OUTPUT ${file}.class
		COMMAND "${Java_JAVAC_EXECUTABLE}"
		ARGS -cp ".${FILE_SEP}\"${CURRENT_JAR}\"${FILE_SEP}${CMAKE_CURRENT_SOURCE_DIR}"
			 ${CURRENT_FILE}
			 -source 1.5
			 -target 1.5
			 -d ${CMAKE_CURRENT_BINARY_DIR}
		MAIN_DEPENDENCY "${CMAKE_CURRENT_SOURCE_DIR}/../../../src/bindings/java/local.i"
		WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}"
		DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/${file}.java
		COMMENT "Build java example ${file}"
	) 
	
	add_custom_target(example_layout_java_${file} ALL 
		DEPENDS 
		${CMAKE_CURRENT_BINARY_DIR}/${file}.class 
		SOURCES 
		${CMAKE_CURRENT_SOURCE_DIR}/${file}.java 
	)
	
	add_dependencies(example_layout_java_${file} binding_java_jar)
	
endforeach()

if(WITH_JAVA)
# install java examples
file(GLOB java_samples "${CMAKE_CURRENT_SOURCE_DIR}/java/*.java")
install(FILES ${java_samples} DESTINATION ${MISC_PREFIX}examples/java/layout)
endif()

=== examples/java/multi/CMakeLists.txt ===
## @file    CMakeLists.txt
## @brief   CMake build script for example programs
## @author  Frank T. Bergmann
##
## <!--------------------------------------------------------------------------
## This file is part of libSBML.  Please visit http://sbml.org for more
## information about SBML, and the latest version of libSBML.
##
## Copyright (C) 2013-2017 jointly by the following organizations:
##     1. California Institute of Technology, Pasadena, CA, USA
##     2. EMBL European Bioinformatics Institute (EMBL-EBI), Hinxton, UK
##     3. University of Heidelberg, Heidelberg, Germany
##
## Copyright (C) 2009-2013 jointly by the following organizations: 
##     1. California Institute of Technology, Pasadena, CA, USA
##     2. EMBL European Bioinformatics Institute (EMBL-EBI), Hinxton, UK
##  
## Copyright (C) 2006-2008 by the California Institute of Technology,
##     Pasadena, CA, USA 
##  
## Copyright (C) 2002-2005 jointly by the following organizations: 
##     1. California Institute of Technology, Pasadena, CA, USA
##     2. Japan Science and Technology Agency, Japan
## 
## This library is free software; you can redistribute it and/or modify it
## under the terms of the GNU Lesser General Public License as published by
## the Free Software Foundation.  A copy of the license agreement is provided
## in the file named "LICENSE.txt" included with this software distribution
## and also available online as http://sbml.org/software/libsbml/license.html
## ------------------------------------------------------------------------ -->

find_package(Java COMPONENTS Development REQUIRED)

foreach(file 
		multi_example1
		multi_example2
		multi_example3
		)
	
	file(TO_NATIVE_PATH ${CMAKE_CURRENT_BINARY_DIR} CURRENT_BIN)
	file(TO_NATIVE_PATH ${CMAKE_CURRENT_BINARY_DIR}/../../../src/bindings/java/libsbmlj.jar CURRENT_JAR )
	file(TO_NATIVE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/${file}.java CURRENT_FILE)
		
	add_custom_command(	
		OUTPUT ${file}.class
		COMMAND "${Java_JAVAC_EXECUTABLE}"
		ARGS -cp ".${FILE_SEP}\"${CURRENT_JAR}\"${FILE_SEP}${CMAKE_CURRENT_SOURCE_DIR}"
			 ${CURRENT_FILE}
			 -source 1.5
			 -target 1.5
			 -d ${CMAKE_CURRENT_BINARY_DIR}
		MAIN_DEPENDENCY "${CMAKE_CURRENT_SOURCE_DIR}/../../../src/bindings/java/local.i"
		WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}"
		DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/${file}.java
		COMMENT "Build java example ${file}"
	) 
	
	add_custom_target(example_multi_java_${file} ALL 
		DEPENDS 
		${CMAKE_CURRENT_BINARY_DIR}/${file}.class 
		SOURCES 
		${CMAKE_CURRENT_SOURCE_DIR}/${file}.java 
	)
	
	add_dependencies(example_multi_java_${file} binding_java_jar)
	
endforeach()

if(WITH_JAVA)
# install java examples
file(GLOB java_samples "${CMAKE_CURRENT_SOURCE_DIR}/java/*.java")
install(FILES ${java_samples} DESTINATION ${MISC_PREFIX}examples/java/multi)
endif()

=== examples/java/qual/CMakeLists.txt ===
## @file    CMakeLists.txt
## @brief   CMake build script for example programs
## @author  Frank T. Bergmann
##
## <!--------------------------------------------------------------------------
## This file is part of libSBML.  Please visit http://sbml.org for more
## information about SBML, and the latest version of libSBML.
##
## Copyright (C) 2013-2017 jointly by the following organizations:
##     1. California Institute of Technology, Pasadena, CA, USA
##     2. EMBL European Bioinformatics Institute (EMBL-EBI), Hinxton, UK
##     3. University of Heidelberg, Heidelberg, Germany
##
## Copyright (C) 2009-2013 jointly by the following organizations: 
##     1. California Institute of Technology, Pasadena, CA, USA
##     2. EMBL European Bioinformatics Institute (EMBL-EBI), Hinxton, UK
##  
## Copyright (C) 2006-2008 by the California Institute of Technology,
##     Pasadena, CA, USA 
##  
## Copyright (C) 2002-2005 jointly by the following organizations: 
##     1. California Institute of Technology, Pasadena, CA, USA
##     2. Japan Science and Technology Agency, Japan
## 
## This library is free software; you can redistribute it and/or modify it
## under the terms of the GNU Lesser General Public License as published by
## the Free Software Foundation.  A copy of the license agreement is provided
## in the file named "LICENSE.txt" included with this software distribution
## and also available online as http://sbml.org/software/libsbml/license.html
## ------------------------------------------------------------------------ -->

find_package(Java COMPONENTS Development REQUIRED)

foreach(file 
		qual_example1
		)
	
	file(TO_NATIVE_PATH ${CMAKE_CURRENT_BINARY_DIR} CURRENT_BIN)
	file(TO_NATIVE_PATH ${CMAKE_CURRENT_BINARY_DIR}/../../../src/bindings/java/libsbmlj.jar CURRENT_JAR )
	file(TO_NATIVE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/${file}.java CURRENT_FILE)
		
	add_custom_command(	
		OUTPUT ${file}.class
		COMMAND "${Java_JAVAC_EXECUTABLE}"
		ARGS -cp ".${FILE_SEP}\"${CURRENT_JAR}\"${FILE_SEP}${CMAKE_CURRENT_SOURCE_DIR}"
			 ${CURRENT_FILE}
			 -source 1.5
			 -target 1.5
			 -d ${CMAKE_CURRENT_BINARY_DIR}
		MAIN_DEPENDENCY "${CMAKE_CURRENT_SOURCE_DIR}/../../../src/bindings/java/local.i"
		WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}"
		DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/${file}.java
		COMMENT "Build java example ${file}"
	) 
	
	add_custom_target(example_qual_java_${file} ALL 
		DEPENDS 
		${CMAKE_CURRENT_BINARY_DIR}/${file}.class 
		SOURCES 
		${CMAKE_CURRENT_SOURCE_DIR}/${file}.java 
	)
	
	add_dependencies(example_qual_java_${file} binding_java_jar)
	
endforeach()

if(WITH_JAVA)
# install java examples
file(GLOB java_samples "${CMAKE_CURRENT_SOURCE_DIR}/java/*.java")
install(FILES ${java_samples} DESTINATION ${MISC_PREFIX}examples/java/qual)
endif()

=== examples/java/spatial/CMakeLists.txt ===
## @file    CMakeLists.txt
## @brief   CMake build script for example programs
## @author  Frank T. Bergmann
##
## <!--------------------------------------------------------------------------
## This file is part of libSBML.  Please visit http://sbml.org for more
## information about SBML, and the latest version of libSBML.
##
## Copyright (C) 2013-2017 jointly by the following organizations:
##     1. California Institute of Technology, Pasadena, CA, USA
##     2. EMBL European Bioinformatics Institute (EMBL-EBI), Hinxton, UK
##     3. University of Heidelberg, Heidelberg, Germany
##
## Copyright (C) 2009-2013 jointly by the following organizations: 
##     1. California Institute of Technology, Pasadena, CA, USA
##     2. EMBL European Bioinformatics Institute (EMBL-EBI), Hinxton, UK
##  
## Copyright (C) 2006-2008 by the California Institute of Technology,
##     Pasadena, CA, USA 
##  
## Copyright (C) 2002-2005 jointly by the following organizations: 
##     1. California Institute of Technology, Pasadena, CA, USA
##     2. Japan Science and Technology Agency, Japan
## 
## This library is free software; you can redistribute it and/or modify it
## under the terms of the GNU Lesser General Public License as published by
## the Free Software Foundation.  A copy of the license agreement is provided
## in the file named "LICENSE.txt" included with this software distribution
## and also available online as http://sbml.org/software/libsbml/license.html
## ------------------------------------------------------------------------ -->

find_package(Java COMPONENTS Development REQUIRED)

foreach(file 
		spatial_example1
		)
	
	file(TO_NATIVE_PATH ${CMAKE_CURRENT_BINARY_DIR} CURRENT_BIN)
	file(TO_NATIVE_PATH ${CMAKE_CURRENT_BINARY_DIR}/../../../src/bindings/java/libsbmlj.jar CURRENT_JAR )
	file(TO_NATIVE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/${file}.java CURRENT_FILE)
		
	add_custom_command(	
		OUTPUT ${file}.class
		COMMAND "${Java_JAVAC_EXECUTABLE}"
		ARGS -cp ".${FILE_SEP}\"${CURRENT_JAR}\"${FILE_SEP}${CMAKE_CURRENT_SOURCE_DIR}"
			 ${CURRENT_FILE}
			 -source 1.5
			 -target 1.5
			 -d ${CMAKE_CURRENT_BINARY_DIR}
		MAIN_DEPENDENCY "${CMAKE_CURRENT_SOURCE_DIR}/../../../src/bindings/java/local.i"
		WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}"
		DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/${file}.java
		COMMENT "Build java example ${file}"
	) 
	
	add_custom_target(example_spatial_java_${file} ALL 
		DEPENDS 
		${CMAKE_CURRENT_BINARY_DIR}/${file}.class 
		SOURCES 
		${CMAKE_CURRENT_SOURCE_DIR}/${file}.java 
	)
	
	add_dependencies(example_spatial_java_${file} binding_java_jar)
	
endforeach()

if(WITH_JAVA)
# install java examples
file(GLOB java_samples "${CMAKE_CURRENT_SOURCE_DIR}/java/*.java")
install(FILES ${java_samples} DESTINATION ${MISC_PREFIX}examples/java/spatial)
endif()

=== libsbml-5.15.2/examples/c++/CMakeLists.txt ===
## @file    CMakeLists.txt
## @brief   CMake build script for example programs
## @author  Frank T. Bergmann
##
## <!--------------------------------------------------------------------------
## This file is part of libSBML.  Please visit http://sbml.org for more
## information about SBML, and the latest version of libSBML.
##
## Copyright (C) 2013-2017 jointly by the following organizations:
##     1. California Institute of Technology, Pasadena, CA, USA
##     2. EMBL European Bioinformatics Institute (EMBL-EBI), Hinxton, UK
##     3. University of Heidelberg, Heidelberg, Germany
##
## Copyright (C) 2009-2013 jointly by the following organizations:
##     1. California Institute of Technology, Pasadena, CA, USA
##     2. EMBL European Bioinformatics Institute (EMBL-EBI), Hinxton, UK
##
## Copyright (C) 2006-2008 by the California Institute of Technology,
##     Pasadena, CA, USA
##
## Copyright (C) 2002-2005 jointly by the following organizations:
##     1. California Institute of Technology, Pasadena, CA, USA
##     2. Japan Science and Technology Agency, Japan
##
## This library is free software; you can redistribute it and/or modify it
## under the terms of the GNU Lesser General Public License as published by
## the Free Software Foundation.  A copy of the license agreement is provided
## in the file named "LICENSE.txt" included with this software distribution
## and also available online as http://sbml.org/software/libsbml/license.html
## ------------------------------------------------------------------------ -->

include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(BEFORE ${LIBSBML_ROOT_SOURCE_DIR}/src)
include_directories(${LIBSBML_ROOT_SOURCE_DIR}/include)
include_directories(BEFORE ${LIBSBML_ROOT_BINARY_DIR}/src)


if (EXTRA_INCLUDE_DIRS)
include_directories(${EXTRA_INCLUDE_DIRS})
endif(EXTRA_INCLUDE_DIRS)

foreach(example

    addCVTerms
    addCustomValidator
    addingEvidenceCodes_1
    addingEvidenceCodes_2
    addModelHistory
    appendAnnotation
    callExternalValidator
    convertSBML
    convertToL1V1
    createExampleSBML
    echoSBML
    inferUnits
    inlineFunctionDefintions
    convertReactions
    getAllElementsWithNotes
    printAnnotation
    printMath
    printNotes
    printSBML
    printRegisteredPackages
    printSupported
    printUnits
    promoteParameters
    readSBML
    renameSId
    setIdFromNames
    setNamesFromIds
    stripPackage
    translateMath
    translateL3Math
    unsetAnnotation
    unsetNotes
    validateSBML

)
    add_executable(example_cpp_${example} ${example}.cpp util.c)
    set_target_properties(example_cpp_${example} PROPERTIES  OUTPUT_NAME ${example})
    target_link_libraries(example_cpp_${example} ${LIBSBML_LIBRARY}-static)

    if (WITH_LIBXML)
        target_link_libraries(example_cpp_${example} ${LIBXML_LIBRARY} ${EXTRA_LIBS})
    endif()

    if (WITH_ZLIB)
        target_link_libraries(example_cpp_${example} ${LIBZ_LIBRARY})
    endif(WITH_ZLIB)
    if (WITH_BZIP2)
        target_link_libraries(example_cpp_${example} ${LIBBZ_LIBRARY})
    endif(WITH_BZIP2)

endforeach()

if (WITH_LIBXML)
  include_directories(${LIBXML_INCLUDE_DIR})
  add_executable(example_cpp_rngvalidator rngvalidator.cpp util.c)
  set_target_properties(example_cpp_rngvalidator PROPERTIES  OUTPUT_NAME rngvalidator)
  target_link_libraries(example_cpp_rngvalidator ${LIBSBML_LIBRARY}-static)
  target_link_libraries(example_cpp_rngvalidator ${LIBXML_LIBRARY} ${EXTRA_LIBS})
  if (WITH_ZLIB)
    target_link_libraries(example_cpp_rngvalidator ${LIBZ_LIBRARY})
  endif(WITH_ZLIB)
  if (WITH_BZIP2)
    target_link_libraries(example_cpp_rngvalidator ${LIBBZ_LIBRARY})
  endif(WITH_BZIP2)
endif()

# run examples as test

add_test(NAME test_cxx_addCVTerms
         COMMAND "$<TARGET_FILE:example_cpp_addCVTerms>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
         addCVTerms.out.xml
)
add_test(NAME test_cxx_addCustomValidator
         COMMAND "$<TARGET_FILE:example_cpp_addCustomValidator>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml

)
add_test(NAME test_cxx_addingEvidenceCodes_1
         COMMAND "$<TARGET_FILE:example_cpp_addingEvidenceCodes_1>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
         addingEvidenceCodes_1.out.xml
)
add_test(NAME test_cxx_addingEvidenceCodes_2
         COMMAND "$<TARGET_FILE:example_cpp_addingEvidenceCodes_2>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
         addingEvidenceCodes_2.out.xml
)
add_test(NAME test_cxx_addModelHistory
         COMMAND "$<TARGET_FILE:example_cpp_addModelHistory>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
         addModelHistory.out.xml
)
add_test(NAME test_cxx_appendAnnotation
         COMMAND "$<TARGET_FILE:example_cpp_appendAnnotation>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
         appendAnnotation.out.xml
)
add_test(NAME test_cxx_callExternalValidator
         COMMAND "$<TARGET_FILE:example_cpp_callExternalValidator>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
         callExternalValidator.out.xml
)
add_test(NAME test_cxx_convertSBML
         COMMAND "$<TARGET_FILE:example_cpp_convertSBML>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
         convertSBML.out.xml
)
add_test(NAME test_cxx_convertToL1V1
         COMMAND "$<TARGET_FILE:example_cpp_convertToL1V1>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
         convertToL1V1.out.xml
)
add_test(NAME test_cxx_createExampleSBML
         COMMAND "$<TARGET_FILE:example_cpp_createExampleSBML>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
         createExampleSBML.out.xml
)
add_test(NAME test_cxx_echoSBML
         COMMAND "$<TARGET_FILE:example_cpp_echoSBML>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
         echoSBML.out.xml
)
add_test(NAME test_cxx_inferUnits
         COMMAND "$<TARGET_FILE:example_cpp_inferUnits>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
         inferUnits.out.xml
)
add_test(NAME test_cxx_inlineFunctionDefintions
         COMMAND "$<TARGET_FILE:example_cpp_inlineFunctionDefintions>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
         inlineFunctionDefintions.out.xml
)
add_test(NAME test_cxx_convertReactions
         COMMAND "$<TARGET_FILE:example_cpp_convertReactions>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
         convertReactions.out.xml
)
add_test(NAME test_cxx_getAllElementsWithNotes
         COMMAND "$<TARGET_FILE:example_cpp_getAllElementsWithNotes>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
)
add_test(NAME test_cxx_printAnnotation
         COMMAND "$<TARGET_FILE:example_cpp_printAnnotation>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
)
add_test(NAME test_cxx_printMath
         COMMAND "$<TARGET_FILE:example_cpp_printMath>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
)
add_test(NAME test_cxx_printNotes
         COMMAND "$<TARGET_FILE:example_cpp_printNotes>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
)
add_test(NAME test_cxx_printSBML
         COMMAND "$<TARGET_FILE:example_cpp_printSBML>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
)
add_test(NAME test_cxx_printRegisteredPackages
         COMMAND "$<TARGET_FILE:example_cpp_printRegisteredPackages>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
         printRegisteredPackages.out.xml
)
add_test(NAME test_cxx_printSupported
         COMMAND "$<TARGET_FILE:example_cpp_printSupported>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
         printSupported.out.xml
)
add_test(NAME test_cxx_printUnits
         COMMAND "$<TARGET_FILE:example_cpp_printUnits>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
)
add_test(NAME test_cxx_promoteParameters
         COMMAND "$<TARGET_FILE:example_cpp_promoteParameters>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
         promoteParameters.out.xml
)
add_test(NAME test_cxx_readSBML
         COMMAND "$<TARGET_FILE:example_cpp_readSBML>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
)
add_test(NAME test_cxx_renameSId
         COMMAND "$<TARGET_FILE:example_cpp_renameSId>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
         veq
         veqnew
         renameSId.out.xml
)
add_test(NAME test_cxx_setIdFromNames
         COMMAND "$<TARGET_FILE:example_cpp_setIdFromNames>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
         setIdFromNames.out.xml
)
add_test(NAME test_cxx_setNamesFromIds
         COMMAND "$<TARGET_FILE:example_cpp_setNamesFromIds>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
         setNamesFromIds.out.xml
)
add_test(NAME test_cxx_stripPackage
         COMMAND "$<TARGET_FILE:example_cpp_stripPackage>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/fbc/fbc_example1.xml
         fbc
         stripPackage.out.xml
)
add_test(NAME test_cxx_unsetAnnotation
         COMMAND "$<TARGET_FILE:example_cpp_unsetAnnotation>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
         unsetAnnotation.out.xml
)
add_test(NAME test_cxx_unsetNotes
         COMMAND "$<TARGET_FILE:example_cpp_unsetNotes>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
         unsetNotes.out.xml
)
add_test(NAME test_cxx_validateSBML
         COMMAND "$<TARGET_FILE:example_cpp_validateSBML>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
)

=== libsbml-5.15.2/examples/c/CMakeLists.txt ===
## @file    CMakeLists.txt
## @brief   CMake build script for example programs
## @author  Frank T. Bergmann
##
## <!--------------------------------------------------------------------------
## This file is part of libSBML.  Please visit http://sbml.org for more
## information about SBML, and the latest version of libSBML.
##
## Copyright (C) 2013-2017 jointly by the following organizations:
##     1. California Institute of Technology, Pasadena, CA, USA
##     2. EMBL European Bioinformatics Institute (EMBL-EBI), Hinxton, UK
##     3. University of Heidelberg, Heidelberg, Germany
##
## Copyright (C) 2009-2013 jointly by the following organizations: 
##     1. California Institute of Technology, Pasadena, CA, USA
##     2. EMBL European Bioinformatics Institute (EMBL-EBI), Hinxton, UK
##  
## Copyright (C) 2006-2008 by the California Institute of Technology,
##     Pasadena, CA, USA 
##  
## Copyright (C) 2002-2005 jointly by the following organizations: 
##     1. California Institute of Technology, Pasadena, CA, USA
##     2. Japan Science and Technology Agency, Japan
## 
## This library is free software; you can redistribute it and/or modify it
## under the terms of the GNU Lesser General Public License as published by
## the Free Software Foundation.  A copy of the license agreement is provided
## in the file named "LICENSE.txt" included with this software distribution
## and also available online as http://sbml.org/software/libsbml/license.html
## ------------------------------------------------------------------------ -->

include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(BEFORE ${LIBSBML_ROOT_SOURCE_DIR}/src)
include_directories(${LIBSBML_ROOT_SOURCE_DIR}/include)
include_directories(BEFORE ${LIBSBML_ROOT_BINARY_DIR}/src)

if (EXTRA_INCLUDE_DIRS) 
include_directories(${EXTRA_INCLUDE_DIRS})
endif(EXTRA_INCLUDE_DIRS)

foreach(example 

	addCVTerms
	addingEvidenceCodes_1
	addingEvidenceCodes_2
	addModelHistory
	appendAnnotation
	convertSBML
	createExampleSBML
	drawMath
	echoSBML
	evaluateMath
	printAnnotation
	printMath
	printNotes
	printRegisteredPackages
	printSBML
	printSupported
	printUnits
	promoteParameters
	readSBML
	stripPackage
	translateMath
	translateL3Math
	unsetAnnotation
	unsetNotes
	validateSBML

)
	add_executable(example_c_${example} ${example}.c util.c)
	set_target_properties(example_c_${example} PROPERTIES  OUTPUT_NAME ${example})
	target_link_libraries(example_c_${example} ${LIBSBML_LIBRARY}-static)	

endforeach()

# run examples as test 

add_test(NAME test_c_addCVTerms
         COMMAND "$<TARGET_FILE:example_c_addCVTerms>" 
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
         addCVTerms.out.xml
)

add_test(NAME test_c_addingEvidenceCodes_1
         COMMAND "$<TARGET_FILE:example_c_addingEvidenceCodes_1>" 
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
         addingEvidenceCodes_1.out.xml
)

add_test(NAME test_c_addingEvidenceCodes_2
         COMMAND "$<TARGET_FILE:example_c_addingEvidenceCodes_2>" 
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
         addingEvidenceCodes_2.out.xml
)

add_test(NAME test_c_addModelHistory
         COMMAND "$<TARGET_FILE:example_c_addModelHistory>" 
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
         addModelHistory.out.xml
)

add_test(NAME test_c_appendAnnotation
         COMMAND "$<TARGET_FILE:example_c_appendAnnotation>" 
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
         appendAnnotation.out.xml
)

add_test(NAME test_c_convertSBML
         COMMAND "$<TARGET_FILE:example_c_convertSBML>" 
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
         convertSBML.out.xml
)

add_test(NAME test_c_createExampleSBML
         COMMAND "$<TARGET_FILE:example_c_createExampleSBML>" 
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
         createExampleSBML.out.xml
)

add_test(NAME test_c_drawMath
         COMMAND "$<TARGET_FILE:example_c_drawMath>" 
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
         drawMath.out.xml
)

add_test(NAME test_c_echoSBML
         COMMAND "$<TARGET_FILE:example_c_echoSBML>" 
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
         echoSBML.out.xml
)

add_test(NAME test_c_printAnnotation
         COMMAND "$<TARGET_FILE:example_c_printAnnotation>" 
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
)

add_test(NAME test_c_printMath
         COMMAND "$<TARGET_FILE:example_c_printMath>" 
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
)

add_test(NAME test_c_printNotes
         COMMAND "$<TARGET_FILE:example_c_printNotes>" 
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
)

add_test(NAME test_c_printRegisteredPackages
         COMMAND "$<TARGET_FILE:example_c_printRegisteredPackages>" 
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
)

add_test(NAME test_c_printSBML
         COMMAND "$<TARGET_FILE:example_c_printSBML>" 
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
)

add_test(NAME test_c_printSupported
         COMMAND "$<TARGET_FILE:example_c_printSupported>" 
)

add_test(NAME test_c_printUnits
         COMMAND "$<TARGET_FILE:example_c_printUnits>" 
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
)

add_test(NAME test_c_promoteParameters
         COMMAND "$<TARGET_FILE:example_c_promoteParameters>" 
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
         promoteParameters.out.xml
)

add_test(NAME test_c_readSBML
         COMMAND "$<TARGET_FILE:example_c_readSBML>" 
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
)

add_test(NAME test_c_stripPackage
         COMMAND "$<TARGET_FILE:example_c_stripPackage>" 
		 ${CMAKE_SOURCE_DIR}/examples/sample-models/fbc/fbc_example1.xml
		 fbc
		 stripPackage.out.xml
)

add_test(NAME test_c_unsetAnnotation
         COMMAND "$<TARGET_FILE:example_c_unsetAnnotation>" 
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
         unsetAnnotation.out.xml
)

add_test(NAME test_c_unsetNotes
		 COMMAND "$<TARGET_FILE:example_c_unsetNotes>" 
		 ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
		 unsetNotes.out.xml
)

add_test(NAME test_c_validateSBML
         COMMAND "$<TARGET_FILE:example_c_validateSBML>" 
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
)

=== libsbml-5.15.2/examples/csharp/CMakeLists.txt ===
## @file    CMakeLists.txt
## @brief   CMake build script for example programs
## @author  Frank T. Bergmann
##
## <!--------------------------------------------------------------------------
## This file is part of libSBML.  Please visit http://sbml.org for more
## information about SBML, and the latest version of libSBML.
##
## Copyright (C) 2013-2017 jointly by the following organizations:
##     1. California Institute of Technology, Pasadena, CA, USA
##     2. EMBL European Bioinformatics Institute (EMBL-EBI), Hinxton, UK
##     3. University of Heidelberg, Heidelberg, Germany
##
## Copyright (C) 2009-2013 jointly by the following organizations:
##     1. California Institute of Technology, Pasadena, CA, USA
##     2. EMBL European Bioinformatics Institute (EMBL-EBI), Hinxton, UK
##
## Copyright (C) 2006-2008 by the California Institute of Technology,
##     Pasadena, CA, USA
##
## Copyright (C) 2002-2005 jointly by the following organizations:
##     1. California Institute of Technology, Pasadena, CA, USA
##     2. Japan Science and Technology Agency, Japan
##
## This library is free software; you can redistribute it and/or modify it
## under the terms of the GNU Lesser General Public License as published by
## the Free Software Foundation.  A copy of the license agreement is provided
## in the file named "LICENSE.txt" included with this software distribution
## and also available online as http://sbml.org/software/libsbml/license.html
## ------------------------------------------------------------------------ -->

foreach( example

    addCustomValidator
    addCVTerms
    addingEvidenceCodes_1
    addingEvidenceCodes_2
    addModelHistory
    appendAnnotation
    callExternalValidator
    convertSBML
    createExampleSBML
    echoSBML
    GetAllElementsWithNotes
    printAnnotation
    printMath
    printNotes
    printRegisteredPackages
    printSBML
    printsupported
    printUnits
    promoteParameters
    readSBML
    stripPackage
    SetIdFromNames
    translateMath
    unsetAnnotation
    unsetNotes
    validateSBML
    evaluateCustomMath
    inlineInitialAssignments
    replaceOneFD

)

    ADD_CUSTOM_COMMAND(
        OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${example}.exe
        COMMAND "${CSHARP_EXAMPLE_COMPILER}"
        ARGS -r:${CMAKE_CURRENT_BINARY_DIR}/../../src/bindings/csharp/libsbmlcsP.dll
            -target:exe
            -out:${example}.exe
            ${CSHARP_EXTRA_ARGS}
            ${CMAKE_CURRENT_SOURCE_DIR}${PATH_SEP}${example}.cs
        MAIN_DEPENDENCY ${CMAKE_CURRENT_SOURCE_DIR}/${example}.cs
        COMMENT "Build C# example: ${example}")

    add_custom_target(example_cs_${example} ALL DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/${example}.exe)
    add_dependencies(example_cs_${example} binding_csharp_managed_lib)
endforeach()



####################################################################
#
# CMake Build Script for C# examples
#

macro(ADJUST_ENVIRONMENT target)

file(TO_NATIVE_PATH $<TARGET_FILE_DIR:binding_csharp_native_lib> CS_PATH)

if (APPLE)
    # adjust DYLD_LIBRARY_PATH
    set_tests_properties(${target} PROPERTIES ENVIRONMENT DYLD_LIBRARY_PATH=${CMAKE_CURRENT_BINARY_DIR}/../:$<TARGET_FILE_DIR:binding_csharp_native_lib>:$ENV{DYLD_LIBRARY_PATH})
elseif(UNIX)
    # adjust LD_LIBRARY_PATH
    set_tests_properties(${target} PROPERTIES ENVIRONMENT LD_LIBRARY_PATH=${CMAKE_BINARY_DIR}/src/bindings/csharp/:$<TARGET_FILE_DIR:binding_csharp_native_lib>:$ENV{LD_LIBRARY_PATH})
else()
    # adjust path variable
    SET (NEW_PATH "$<TARGET_FILE_DIR:binding_csharp_native_lib>\\;${CS_PATH}\\;$ENV{PATH}")
    STRING(REPLACE "\\;" ";" NEW_PATH "${NEW_PATH}")
    STRING(REPLACE ";" "\\;" NEW_PATH "${NEW_PATH}")
    set_tests_properties(${target} PROPERTIES ENVIRONMENT PATH=${NEW_PATH})
endif()

endmacro()


set(CS_INTERPRETER)
if (NOT WIN32)
    set(CS_INTERPRETER mono)
endif()

# run examples as test 

if (CMAKE_VERSION VERSION_LESS 3.0)
    message(STATUS "C# example tests check version: ${CMAKE_VERSION} < 3.0, skipping.")
else()

    add_test(NAME test_cs_addCVTerms
        COMMAND ${CS_INTERPRETER} ${CMAKE_CURRENT_BINARY_DIR}/addCVTerms.exe
        ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
        addCVTerms.out.xml
    )
    ADJUST_ENVIRONMENT(test_cs_addCVTerms)
    
    add_test(NAME test_cs_addingEvidenceCodes_1
        COMMAND ${CS_INTERPRETER} ${CMAKE_CURRENT_BINARY_DIR}/addingEvidenceCodes_1.exe
        ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
        addingEvidenceCodes_1.out.xml
    )
    ADJUST_ENVIRONMENT(test_cs_addingEvidenceCodes_1)
    
    add_test(NAME test_cs_addingEvidenceCodes_2
        COMMAND ${CS_INTERPRETER} ${CMAKE_CURRENT_BINARY_DIR}/addingEvidenceCodes_2.exe
        ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
        addingEvidenceCodes_2.out.xml
    )
    ADJUST_ENVIRONMENT(test_cs_addingEvidenceCodes_2)
    
    add_test(NAME test_cs_addModelHistory
        COMMAND ${CS_INTERPRETER} ${CMAKE_CURRENT_BINARY_DIR}/addModelHistory.exe
        ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
        addModelHistory.out.xml
    )
    ADJUST_ENVIRONMENT(test_cs_addModelHistory)
    
    add_test(NAME test_cs_appendAnnotation
        COMMAND ${CS_INTERPRETER} ${CMAKE_CURRENT_BINARY_DIR}/appendAnnotation.exe
        ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
        appendAnnotation.out.xml
    )
    ADJUST_ENVIRONMENT(test_cs_appendAnnotation)
    
    add_test(NAME test_cs_convertSBML
        COMMAND ${CS_INTERPRETER} ${CMAKE_CURRENT_BINARY_DIR}/convertSBML.exe
        ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
        convertSBML.out.xml
    )
    ADJUST_ENVIRONMENT(test_cs_convertSBML)
    
    add_test(NAME test_cs_createExampleSBML
        COMMAND ${CS_INTERPRETER} ${CMAKE_CURRENT_BINARY_DIR}/createExampleSBML.exe
        ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
        createExampleSBML.out.xml
    )
    ADJUST_ENVIRONMENT(test_cs_createExampleSBML)
    
    add_test(NAME test_cs_echoSBML
        COMMAND ${CS_INTERPRETER} ${CMAKE_CURRENT_BINARY_DIR}/echoSBML.exe
        ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
        echoSBML.out.xml
    )
    ADJUST_ENVIRONMENT(test_cs_echoSBML)
    
    add_test(NAME test_cs_GetAllElementsWithNotes
        COMMAND ${CS_INTERPRETER} ${CMAKE_CURRENT_BINARY_DIR}/GetAllElementsWithNotes.exe
        ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
    )
    ADJUST_ENVIRONMENT(test_cs_GetAllElementsWithNotes)
    
    add_test(NAME test_cs_printAnnotation
        COMMAND ${CS_INTERPRETER} ${CMAKE_CURRENT_BINARY_DIR}/printAnnotation.exe
        ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
    )
    ADJUST_ENVIRONMENT(test_cs_printAnnotation)
    
    add_test(NAME test_cs_printMath
        COMMAND ${CS_INTERPRETER} ${CMAKE_CURRENT_BINARY_DIR}/printMath.exe
        ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
    )
    ADJUST_ENVIRONMENT(test_cs_printMath)
    
    add_test(NAME test_cs_printNotes
        COMMAND ${CS_INTERPRETER} ${CMAKE_CURRENT_BINARY_DIR}/printNotes.exe
        ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
    )
    ADJUST_ENVIRONMENT(test_cs_printNotes)
    
    add_test(NAME test_cs_printRegisteredPackages
        COMMAND ${CS_INTERPRETER} ${CMAKE_CURRENT_BINARY_DIR}/printRegisteredPackages.exe
        ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
        printRegisteredPackages.out.xml
    )
    ADJUST_ENVIRONMENT(test_cs_printRegisteredPackages)
    
    add_test(NAME test_cs_printSBML
        COMMAND ${CS_INTERPRETER} ${CMAKE_CURRENT_BINARY_DIR}/printSBML.exe
        ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
    )
    ADJUST_ENVIRONMENT(test_cs_printSBML)
    
    add_test(NAME test_cs_printsupported
        COMMAND ${CS_INTERPRETER} ${CMAKE_CURRENT_BINARY_DIR}/printsupported.exe
        ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
        printsupported.out.xml
    )
    ADJUST_ENVIRONMENT(test_cs_printsupported)
    
    add_test(NAME test_cs_printUnits
        COMMAND ${CS_INTERPRETER} ${CMAKE_CURRENT_BINARY_DIR}/printUnits.exe
        ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
    )
    ADJUST_ENVIRONMENT(test_cs_printUnits)
    
    add_test(NAME test_cs_promoteParameters
        COMMAND ${CS_INTERPRETER} ${CMAKE_CURRENT_BINARY_DIR}/promoteParameters.exe
        ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
        promoteParameters.out.xml
    )
    ADJUST_ENVIRONMENT(test_cs_promoteParameters)
    
    add_test(NAME test_cs_readSBML
        COMMAND ${CS_INTERPRETER} ${CMAKE_CURRENT_BINARY_DIR}/readSBML.exe
        ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
    )
    ADJUST_ENVIRONMENT(test_cs_readSBML)
    
    add_test(NAME test_cs_stripPackage
        COMMAND ${CS_INTERPRETER} ${CMAKE_CURRENT_BINARY_DIR}/stripPackage.exe
        ${CMAKE_SOURCE_DIR}/examples/sample-models/fbc/fbc_example1.xml
        fbc
        stripPackage.out.xml
    )
    ADJUST_ENVIRONMENT(test_cs_stripPackage)
    
    add_test(NAME test_cs_SetIdFromNames
        COMMAND ${CS_INTERPRETER} ${CMAKE_CURRENT_BINARY_DIR}/SetIdFromNames.exe
        ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
        SetIdFromNames.out.xml
    )
    ADJUST_ENVIRONMENT(test_cs_SetIdFromNames)
    
    add_test(NAME test_cs_unsetAnnotation
        COMMAND ${CS_INTERPRETER} ${CMAKE_CURRENT_BINARY_DIR}/unsetAnnotation.exe
        ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
        unsetAnnotation.out.xml
    )
    ADJUST_ENVIRONMENT(test_cs_unsetAnnotation)
    
    add_test(NAME test_cs_unsetNotes
        COMMAND ${CS_INTERPRETER} ${CMAKE_CURRENT_BINARY_DIR}/unsetNotes.exe
        ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
        unsetNotes.out.xml
    )
    ADJUST_ENVIRONMENT(test_cs_unsetNotes)
    
    add_test(NAME test_cs_validateSBML
        COMMAND ${CS_INTERPRETER} ${CMAKE_CURRENT_BINARY_DIR}/validateSBML.exe
        ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
    )
    ADJUST_ENVIRONMENT(test_cs_validateSBML)
    
    add_test(NAME test_cs_evaluateCustomMath
        COMMAND ${CS_INTERPRETER} ${CMAKE_CURRENT_BINARY_DIR}/evaluateCustomMath.exe
        2*3+4
        ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
    )
    ADJUST_ENVIRONMENT(test_cs_evaluateCustomMath)
    
    add_test(NAME test_cs_inlineInitialAssignments
        COMMAND ${CS_INTERPRETER} ${CMAKE_CURRENT_BINARY_DIR}/inlineInitialAssignments.exe
        ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
        inlineInitialAssignments.out.xml
    )
    ADJUST_ENVIRONMENT(test_cs_inlineInitialAssignments)
    
    add_test(NAME test_cs_replaceOneFD
        COMMAND ${CS_INTERPRETER} ${CMAKE_CURRENT_BINARY_DIR}/replaceOneFD.exe
        ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/functiondef.xml
        f
        reaction_1
        replaceOneFD.out.xml
    )
    ADJUST_ENVIRONMENT(test_cs_replaceOneFD)

endif()

=== debian/changelog ===
libsbml (5.15.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.0.0 (no changes needed)
  * Removed debian/libsbml5.triggers since now trigger is properly set
    by dh_makeshlibs/10.7.2
  * Rebuild with gcc7
    Closes: #871291

 -- Andreas Tille <tille@debian.org>  Tue, 08 Aug 2017 04:50:29 +0200

=== debian/control ===
Source: libsbml
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Ivo Maintz <ivo@maintz.de>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: autoconf,
               automake,
               debhelper (>= 10),
               cmake,
               doxygen,
               swig,
               libxml2-dev,
               python-dev,
               perl,
               libperl-dev,
               default-jdk,
               octave-pkg-dev,
               r-base-dev,
               r-base-core,
               graphviz,
               zlib1g-dev,
               libbz2-dev,
               mono-devel,
               mono-mcs,
               cli-common-dev,
               mono-runtime-common,
               texlive-latex-base
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libsbml.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/libsbml.git
Homepage: http://www.sbml.org/

Package: libsbml5-dev
Architecture: any
Section: libdevel
Depends: libsbml5 (= ${binary:Version}),
         ${misc:Depends}
Provides: libsbml-dev
Description: System Biology Markup Language library - development files
 LibSBML is a library designed to help you read, write, manipulate,
 translate, and validate SBML files and data streams. It is not an
 application itself (though it does come with many example programs),
 but rather a library you can embed in your own applications.
 .
 This package contains files necessary for development with libsbml.

Package: libsbml5
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Provides: libsbml
Description: System Biology Markup Language library
 LibSBML is a library designed to help you read, write, manipulate,
 translate, and validate SBML files and data streams. It is not an
 application itself (though it does come with many example programs),
 but rather a library you can embed in your own applications.

Package: libsbml5-python
Architecture: any
Section: python
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         swig2.0 | swig
Provides: python-sbml,
          libsbml-python
Description: System Biology Markup Language library - Python bindings
 LibSBML is a library designed to help you read, write, manipulate,
 translate, and validate SBML files and data streams. It is not an
 application itself (though it does come with many example programs),
 but rather a library you can embed in your own applications.
 .
 This package contains the Python bindings of LibSBML.

Package: libsbml5-java
Architecture: any
Section: java
Depends: ${shlibs:Depends},
         ${misc:Depends},
         jarwrapper
Pre-Depends: ${misc:Pre-Depends}
Provides: libsbml-java
Description: System Biology Markup Language library - Java bindings
 LibSBML is a library designed to help you read, write, manipulate,
 translate, and validate SBML files and data streams. It is not an
 application itself (though it does come with many example programs),
 but rather a library you can embed in your own applications.
 .
 This Package contains the Java bindings of LibSBML.

Package: libsbml5-perl
Architecture: any
Section: perl
Depends: ${shlibs:Depends},
         ${perl:Depends},
         ${misc:Depends}
Provides: libsbml-perl
Description: System Biology Markup Language library - Perl bindings
 LibSBML is a library designed to help you read, write, manipulate,
 translate, and validate SBML files and data streams. It is not an
 application itself (though it does come with many example programs),
 but rather a library you can embed in your own applications.
 .
 This package contains the Perl bindings of LibSBML.

Package: libsbml5-octave
Architecture: any
Section: math
Depends: ${shlibs:Depends},
         ${misc:Depends},
         octave
Provides: libsbml-octave
Description: System Biology Markup Language library - Octave bindings
 LibSBML is a library designed to help you read, write, manipulate,
 translate, and validate SBML files and data streams. It is not an
 application itself (though it does come with many example programs),
 but rather a library you can embed in your own applications.
 .
 This package contains the Octave bindings of LibSBML.

Package: libsbml5-cil
Architecture: any
Section: cli-mono
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${cli:Depends},
         libsbml5-dev
Provides: libsbml-cil
Description: System Biology Markup Language library - CLI bindings
 LibSBML is a library designed to help you read, write, manipulate,
 translate, and validate SBML files and data streams. It is not an
 application itself (though it does come with many example programs),
 but rather a library you can embed in your own applications.
 .
 This package contains the CLI bindings of LibSBML.

Package: libsbml5-examples
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libsbml5-dev (= ${binary:Version})
Description: System Biology Markup Language library -- example files
 LibSBML is a library designed to help you read, write, manipulate,
 translate, and validate SBML files and data streams. It is not an
 application itself (though it does come with many example programs),
 but rather a library you can embed in your own applications.
 .
 This package contains C/C++, Java, Perl and layout examples.

Package: libsbml5-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libsbml5-dev (= ${binary:Version})
Description: System Biology Markup Language library -- documentation
 LibSBML is a library designed to help you read, write, manipulate,
 translate, and validate SBML files and data streams. It is not an
 application itself (though it does come with many example programs),
 but rather a library you can embed in your own applications.
 .
 This package contains C/C++ documentation.

Package: libsbml5-cil-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libsbml5-dev (= ${binary:Version})
Description: System Biology Markup Language library -- CLI documentation
 LibSBML is a library designed to help you read, write, manipulate,
 translate, and validate SBML files and data streams. It is not an
 application itself (though it does come with many example programs),
 but rather a library you can embed in your own applications.
 .
 This package contains documentation for Mono/CLI bindings

Package: libsbml5-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libsbml5-dev (= ${binary:Version})
Description: System Biology Markup Language library -- Java documentation
 LibSBML is a library designed to help you read, write, manipulate,
 translate, and validate SBML files and data streams. It is not an
 application itself (though it does come with many example programs),
 but rather a library you can embed in your own applications.
 .
 This package contains documentation for Java bindings

Package: libsbml5-perl-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libsbml5-dev (= ${binary:Version})
Description: System Biology Markup Language library -- Perl documentation
 LibSBML is a library designed to help you read, write, manipulate,
 translate, and validate SBML files and data streams. It is not an
 application itself (though it does come with many example programs),
 but rather a library you can embed in your own applications.
 .
 This package contains documentation for Perl bindings

Package: libsbml5-python-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libsbml5-dev (= ${binary:Version})
Description: System Biology Markup Language library -- Python documentation
 LibSBML is a library designed to help you read, write, manipulate,
 translate, and validate SBML files and data streams. It is not an
 application itself (though it does come with many example programs),
 but rather a library you can embed in your own applications.
 .
 This package contains documentation for Python bindings
